<?php


function admin_css() {
	wp_enqueue_style( 'admin_css', get_stylesheet_directory_uri() . '/css/admin.css' );
}

add_action('admin_print_styles', 'admin_css');

// Changing excerpt more

function new_excerpt_more($output) {
    return $output . '<p><a href="'. get_permalink() . '">' . '더보기...' . '</a></p>';
}
add_filter('get_the_excerpt', 'new_excerpt_more');



function twentyfourteen_child_setup() {
	register_nav_menus( array(
		'footer'   => __( '푸터메뉴', 'twentyfourteen' )
		
	) );

}
add_action( 'after_setup_theme', 'twentyfourteen_child_setup' );

function custom_js_child() {
    wp_enqueue_script( 'custom-scripts-child' ,get_stylesheet_directory_uri() . '/js/custom.js' ,array('jquery'), null, true);
 }
add_action( 'wp_enqueue_scripts', 'custom_js_child' );



function twentyfourteen_child_custom_header_setup() {
	// *
	//  * Filter Twenty Fourteen custom-header support arguments.
	//  *
	//  * @since Twenty Fourteen 1.0
	//  *
	//  * @param array $args {
	//  *     An array of custom-header support arguments.
	//  *
	//  *     @type bool   $header_text            Whether to display custom header text. Default false.
	//  *     @type int    $width                  Width in pixels of the custom header image. Default 1260.
	//  *     @type int    $height                 Height in pixels of the custom header image. Default 240.
	//  *     @type bool   $flex_height            Whether to allow flexible-height header images. Default true.
	//  *     @type string $admin_head_callback    Callback function used to style the image displayed in
	//  *                                          the Appearance > Header screen.
	//  *     @type string $admin_preview_callback Callback function used to create the custom header markup in
	//  *                                          the Appearance > Header screen.
	//  * }
	 
	add_theme_support( 'custom-header', apply_filters( 'twentyfourteen_custom_header_args', array(
		'default-text-color'     => 'fff',
		'width'                  => 1460,
		'height'                 => 240,
		'flex-height'            => true,
		'wp-head-callback'       => 'twentyfourteen_header_style',
		'admin-head-callback'    => 'twentyfourteen_admin_header_style',
		'admin-preview-callback' => 'twentyfourteen_admin_header_image',
	) ) );
}
add_action( 'after_setup_theme', 'twentyfourteen_child_custom_header_setup' );





